6 Replies Latest reply on Oct 19, 2009 10:59 AM by adobeforclunkers

    Adobe 9.2 Update funktioniert nicht / Adobe 9.2 Update fails

    matze0611

      Hallo,

       

      wir haben momentan den Adobe Acrobat Reader 9.1.3 im Einsatz. Wir haben uns das MUI-Update 9.2 (~282 MB) runtergeladen um eine automatisches Verteilungsskript zu schreiben.

      Startet man nun die Setup.exe erfolgt die Fehlermeldung: Setup hat eine funktionsreichere Produktversion auf Ihrem System gefunden. Setup wird jetzt beendet. Dies tritt auf allen Rechnern auf (haben 5 Rechner getestet).

       

      Gibt es dafür schon eine Problemlösung?

       

      Vielen Dank und viele Grüße

       

      Matthias

       

      Hello,

       

      we have Adobe Acrobat Reader 9.1.3 on our PC's. We downloaded the MUI-Update 9.2 (~282 MB) to configure a automatically Installation-Script.

      When we start the AcroRead.msi File we get an error message: Setup has detected that you already have a more functional product installled. Setup will now terminate. (Starting the setup.exe has the same result with german error message)

      We got this problem on all PC's (we tried it on 5 PC's).

       

      Does anyone have a solution for this problem?

       

      Thank you very much

       

      Best regards

       

      Matthias

        • 1. Re: Adobe 9.2 Update funktioniert nicht / Adobe 9.2 Update fails
          fitzgerac Level 1

          I am having the same problem. We also get the error when trying to apply the AdbeRdrUpd920_mui_cum.msp to the administrative install point.

           

          First I created an admin install point of Reader 9.1.0, using the msi provided in the 9.2 patch download. Then I tried to patch the AIP using the following command:

           

          C:\AdobeReader9_2>msiexec /p c:\AdbeRdrUpd920_mui_cum.msp /a c:\adobereader9_2\a
          croread.msi

           

          ADOBE, PLEASE ADVISE!

          • 2. Re: Adobe 9.2 Update funktioniert nicht / Adobe 9.2 Update fails
            elias1000

            I have problems too instaing the Adobe 9.2 MUI update. It won't install. And why are the zip over 275MB? Why is this not just a plain MSP file?

             

            Adobe? Can you please provide help???

             

            Elias

            • 3. Re: Adobe 9.2 Update funktioniert nicht / Adobe 9.2 Update fails
              Gary2795

              I've use msiexec /a acroread.msi /p adberdr920_mui_cum.msp to create a MSI that I can use to install 9.2.0.

               

              This has worked for 9.1.1, 9.1.2, and 9.1.3 but the updated  9.2.0 acroread.msi fails near the end of the install with the following error message.

               

              Error 1334 The file"acrobatupdater.exe" cannot be installed because the file cannot be found in cabinet file "Data1.cab".

               

              I'm just looking for a msi that will install 9.2.0 without  AIR or Acrobat.

               

              Either the MSP is faulty or the Data1.cab from the Zip file is not correct.

               

              Hopefully Adobe provides an answer.

               

               

               

              • 4. Re: Adobe 9.2 Update funktioniert nicht / Adobe 9.2 Update fails
                fitzgerac Level 1

                OK, I have found this article: http://kb2.adobe.com/cps/498/cpsid_49880.html which explains why I cannot install the 9.2.0 patch on my administrative install point which contains patches up to 9.1.3. Apparently certain patches are "quarterly" (9.1.0, 9.1.2, 9.2.0) and some are "security" (9.1.1, 9.1.3). You can't update an AIP with a quarterly patch if the last patch in it was a security patch. This is by Adobe's design, What a joke!!!!

                 

                Also, I cannot update a user installation to 9.2 if it was installed from an AIP with 9.1.3. What a mess!

                 

                So I think what I need to do is recreate my AIP so that it only contains the "quarterly" patches up to 9.2. Then, I have to figure out some way to update my user installations using some variable of the msiexec /i <path of msi on AIP> REINSTALL=ALL REINSTALLMODE=vomus command, which essentially reinstalls the entire up from my new AIP. What a pain!!! Thanks Adobe!

                • 5. Re: Adobe 9.2 Update funktioniert nicht / Adobe 9.2 Update fails
                  Gary2795 Level 1

                  Never did get the 9.2.0 MSP update to work.

                   

                  Downloaded the full 9.2.0 version and then uninstalled Adobe Air, Adobe Download Manager, and Adober Reader 9.2 (this will be reinstalled with MST). Found that an Adobe Reader 9 Install folder is left on the Desktop(All User's Profile).  Inside this folder is the files for Adobe Reader 9.2.0 without Air and Acrobat which is exactly what I wanted.

                   

                  Tested an install using a MST I've used with Adober Reader 9.0.0 and installed fine with all my desired settings.

                  Also tested this against 9.1.0 and 9.1.3 and it upgraded fine to 9.2.0.  Adobe was using the same install GUID for versions 9.1.x.

                   

                  Still need to test against a few older versions but this looks promising.

                   

                  Adobe should just supply a MSI that will upgrade old versions instead of patches.

                  A version without Air and Acrobat should be avaialbel for download too.

                  • 6. Re: Adobe 9.2 Update funktioniert nicht / Adobe 9.2 Update fails
                    adobeforclunkers

                    I was having just about every problem you guys / gals are having UNTIL I realized that Adobe tweaks their ini files.

                     

                    When you have your extracted file set, AcroRead.msi, Data1.cab, Setup.exe, etc, etc, etc...the usual extracted files right open your setup.ini and comment out or delete the lines you don't need.

                     

                    Worked like a charm for me!

                     

                    I adjusted it to be this way including my previous 9.1.3 mst file.

                     

                     

                     

                    [Startup]
                    RequireOS=Windows 2000
                    RequireMSI=3.0
                    RequireIE=6.0.2600.0

                     

                    [Product]
                    msi=AcroRead.msi
                    CmdLine=TRANSFORMS="AcroRead.mst"

                     

                    [Windows 2000]
                    PlatformID=2
                    MajorVersion=5
                    ServicePackMajor=4

                     

                    [MSI Updater]
                    Path=http://ardownload.adobe.com/pub/adobe/reader/win/8.x/8.0/misc/WindowsInstaller-KB893803-v2 -x86.exe

                     

                     

                     

                    You'll notice the above is substantially different than the default.  Let me know if this helps anyone.